Package Details: supercollider-with-plugins 3.8.0-4

Git Clone URL: https://aur.archlinux.org/supercollider-with-plugins.git (read-only)
Package Base: supercollider-with-plugins
Description: An environment and programming language for real time audio synthesis and algorithmic composition. Current version including sc3-plugins.
Upstream URL: http://supercollider.github.io/
Licenses: GPL3
Conflicts: sc3-plugins-git, supercollider
Provides: supercollider
Submitter: ChaosKid42
Maintainer: ChaosKid42
Last Packager: ChaosKid42
Votes: 5
Popularity: 0.015508
First Submitted: 2016-06-19 15:50
Last Updated: 2017-09-10 11:00

Latest Comments

deadguy commented on 2017-09-05 16:01

why are both vim AND emacs makedepends?

ChaosKid42 commented on 2017-08-31 12:23

fixed

anks commented on 2017-08-22 23:55

Got an error when building this package:

==> Starting build()...
/var/cache/pacman/pkg/supercollider-with-plugins24433/supercollider-with-plugins/src/SuperCollider-Source/server/plugins/DiskIO_UGens.cpp: In member function ‘void {anonymous}::DiskIOThread::launchThread()’:
/var/cache/pacman/pkg/supercollider-with-plugins24433/supercollider-with-plugins/src/SuperCollider-Source/server/plugins/DiskIO_UGens.cpp:191:65: error: cannot convert ‘void ({anonymous}::DiskIOThread::*)()’ to ‘int’ for argument ‘1’ to ‘int bind(int, const sockaddr*, socklen_t)’
mThread = move( thread( bind(&DiskIOThread::ioThreadFunc, this) ) );
^
make[2]: *** [server/plugins/CMakeFiles/DiskIO_UGens_supernova.dir/build.make:63: server/plugins/CMakeFiles/DiskIO_UGens_supernova.dir/DiskIO_UGens.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:1549: server/plugins/CMakeFiles/DiskIO_UGens_supernova.dir/all] Error 2
make: *** [Makefile:163: all] Error 2
==> ERROR: A failure occurred in build().
Aborting...

ChaosKid42 commented on 2017-02-16 14:33

Added qt5-tools. Thanks for reporting.

beatboxchad commented on 2017-02-15 22:03

The missing QT dependency ended up being qt5-tools. Sorry for the 4-month delay there.

ChaosKid42 commented on 2017-01-08 20:40

"-fext-numeric-literals" used to be necessary to compile.

Removed it, as it's not necessary with gcc 6.2.

smoge commented on 2017-01-08 14:32

Why `-fext-numeric-literals`?

beatboxchad commented on 2016-10-23 03:56

There seem to be some missing qt5 dependencies. I am currently installing after aborting an install of AUR/supercollider-git which has whatever's missing from this, but I'll do a repro on my Linode later and tell you which ones. The build was failing until I did that.

ChaosKid42 commented on 2016-09-01 08:01

@dmnc:
@Thraex:
The errors you reported are fixed now. Thanks for reporting.

dmnc commented on 2016-08-31 11:52

==> Validating source files with md5sums...
SuperCollider-3.7.2-Source-linux.tar.bz2 ... Passed
Version-3.7.2.tar.gz ... Passed
4.5.1.tar.gz ... FAILED

All comments